from parallels.core.utils.message_utils import single_line_message
from parallels.core.utils.message_utils import multi_line_message

RETURN_LIST_OF_AVAILABLE_OPTIONS = single_line_message("""
	Return list of available options
""")
MOVE_SUBSCRIPTIONS_BETWEEN_PPA_APACHE_NODES = single_line_message("""
	Move subscriptions between PPA Apache nodes
""")
ATTRIBUTE_NAME_OF_DOMAIN_NODE_CAN_NOT_BE_EMPTY = single_line_message("""
	Attribute 'name' of <domain> node can not be empty
""")
DATABASE_SERVICE_NODE_HOSTNAME_NOT_SPECIFIED = single_line_message("""
	Target database service node hostname is not specified for domain '%s'
""")
MYSQL_DATABASE_SERVICE_HOST_NOT_EXIST = single_line_message("""
	Target MySQL database service host '%s' does not exist on PPA. Available hosts: %s
""")
TARGET_WEB_SERVICE_NODE_IP_NOT_SPECIFIED = single_line_message("""
	Target web service node IP is not specified for domain '%s'
""")
WEB_SERVICE_OF_SUBSCRIPTION_DOES_NOT_EXIST = single_line_message("""
	Web service of a subscription or whole subscription '%s' does not exist on PPA
""")
MAIL_SERVICE_NODE_IP_INVALID = single_line_message("""
	Target mail service node IP '%s' specified for domain '%s' is not valid
""")
FAILED_TO_READ_MOVE_LIST_FILE = single_line_message("""
	Failed to read move list file. Make sure it is a valid XML. Exception message: %s
""")
MAIL_SERVICE_DOES_NOT_EXIST = single_line_message("""
	Mail service of a subscription or whole subscription '%s' does not exist on PPA
""")
MAIL_SERVICE_NODE_IP_NOT_SPECIFIED = single_line_message("""
	Target mail service node IP is not specified for domain '%s'
""")
ATTRIBUTE_NAME_IS_NOT_SET = single_line_message("""
	Attribute 'name' is not set for <domain> node, but must be set for all <domain> nodes in move list
""")
WEB_SERVICE_NODE_IP_INVALID = single_line_message("""
	Target web service node IP '%s' specified for domain '%s' is not valid
""")
SUBSCRIPTION_WITH_NAME_WAS_NOT_FOUND = single_line_message("""
	Subscription with name '%s' was not found in PPA
""")
FAILED_TO_GET_DATABASE_LIMIT = single_line_message("""
	Failed to get database limit for subscription '%s': expected exactly one result item
""")
FAILED_TO_GET_DATABASE_ADMIN_RESPONSE_ID_NOT_EQUAL = single_line_message("""
	Failed to get database administrator id for database #'%s': database id '%s' in response is not equal to requested
	database id '%s'
""")
FAILED_TO_SET_DATABASE_LIMIT_MULTIPLE_RESULTS = single_line_message("""
	Failed to set database limit for subscription '%s': expected exactly one result item
""")
FAILED_TO_GET_DATABASE_ADMINISTRATOR_ID_MULTIPLE_RESULTS = single_line_message("""
	Failed to get database administrator id for database #'%s': expected exactly 1 result item
""")
FAILED_TO_ADD_DNS_RECORD_INVALID_RESPONSE = single_line_message("""
	Failed to add DNS record: invalid response from Plesk API - expected exactly 1 result item
""")
FAILED_TO_REMOVE_DNS_RECORD_RESPONSE_ID_NOT_EQUAL = single_line_message("""
	Failed to remove DNS record #%s: id '%s' in response is not equal to DNS record id
""")
FAILED_TO_GET_WEBSPACE_ID_BY_NAME = single_line_message("""
	Failed to get webspace id by webspace name '%s': expected exactly 1 result item
""")
FAILED_TO_GET_DEFAULT_MYSQL_SERVER_EXPECTED_EXACTLY_ONE_SERVER = single_line_message("""
	Failed to get default MySQL server of subscription '%s': expected to have exactly one default MySQL server
""")
FAILED_TO_GET_DEFAULT_MYSQL_SERVER_EXPECTED_EXACTLY_ONE_SUBSCRIPTION = single_line_message("""
	Failed to get default MySQL server of subscription '%s': expected exactly 1 subscription in Plesk API response, got
	%s
""")
FAILED_TO_GET_SYSTEM_USER = single_line_message("""
	Failed to get system user for subscription '%s': invalid response from Plesk API - expected exactly 1 result item
""")
FAILED_TO_REMOVE_DNS_RECORD_EXPECTED_EXACTLY_ONE = single_line_message("""
	Failed to remove DNS record #%s: invalid response from Plesk API - expected exactly 1 result item
""")
TEMPORARY_FILES_LOCATION = single_line_message("""
	All temporary data files will be placed in '%s'
""")
FREE_OLD_SUBSCRIPTION_WEB_IPS = single_line_message("""
	Free old subscription web IPs in PPA databases
""")
MOVE_SUBSCRIPTION_TO_TARGET_NODE_IN_SINGLE_STEP = single_line_message("""
	Move subscription to target node in a single step
""")
INCREASE_IP_LIMITS_OF_SUBSCRIPTIONS = single_line_message("""
	Increase IP limits of subscriptions to allocate new dedicated IP addresses
""")
SET_DATABASE_ADMINISTRATOR_FLAG_FOR_DB_USERS = single_line_message("""
	Set database administrator flag for database users
""")
REMOVE_APACHE_VHOSTS_CONFIGURATION_FROM_SOURCE = single_line_message("""
	Remove Apache vhosts configuration from source node
""")
RECREATE_FTP_USERS_ON_TARGET_NODE = single_line_message("""
	Recreate FTP users on target node
""")
CHANGE_SUBSCRIPTION_IP_IN_PLESK = single_line_message("""
	Change subscription IP in Plesk
""")
COPY_MAIL_CONTENT_OF_SUBSCRIPTION = single_line_message("""
	Copy mail content of '%s' subscription
""")
FAILED_TO_READ_MOVE_LIST = multi_line_message("""
	Failed to read move list:
	%s
	Please fix the move list file '%s' and restart moving tools.
""")
CHANGE_SUBSCRIPTIONS_WEB_IP_ADDRESS_IN_PPA_DB = single_line_message("""
	change subscription's web IP address in PPA databases
""")
COPY_WEB_HOSTING_TO_TARGET_NODE = single_line_message("""
	Copy web hosting to target node
""")
COPY_MAIL_AUTORESPONDER_ATTACHMENTS_LOG_DESCRIPTION = single_line_message("""
	copy mail autoresponder attachments from source to target node
""")
CHECK_THAT_DATABASE_USERS_ALREADY_EXISTS = single_line_message("""
	Check that database users already exists on target server
""")
CHECK_THAT_DATABASE_ALREADY_EXISTS = single_line_message("""
	Check that database already exists on target server
""")
CHANGE_SUBSCRIPTIONS_DEFAULT_MYSQL_SERVER = single_line_message("""
	Change subscription's default MySQL server in Plesk
""")
REMOVE_WEB_NODE_SOLUTION = single_line_message("""
	To migrate other subscriptions and/or services remove '<web>' node of subscription from the move list and restart
	moving tools.
""")
ATTEMPT_TO_REMOVE_VHOST_WITH_EMPTY_DOMAIN_NAME = single_line_message("""
	attempt to remove vhost with empty domain name
""")
DATABASE_ALREADY_EXISTS = single_line_message("""
	Database '%s' already exists on host '%s', no need to create
""")
CHECK_FOR_POTENTIAL_MOVE_SUBSCRIPTION_ISSUES = single_line_message("""
	Check for potential move subscription issues
""")
REMOVE_FTP_USERS_FROM_SOURCE_NODE = single_line_message("""
	Remove ftp users from source node
""")
REMOVE_DATABASES_FROM_SOURCE_NODE = single_line_message("""
	Remove databases from source node
""")
FAILED_TO_PERFORM_AN_ACTION_ON_SUBSCRIPTION = single_line_message("""
	Failed to perform an action on subscription '%s'. Exception message: %s
""")
MOVE_ANONYMOUS_FTP = single_line_message("""
	move anonymous FTP from source node to target node
""")
REMOVE_CONTENT_OF_SUBSCRIPTION_FROM_SOURCE = single_line_message("""
	Remove content of '%s' subscription from source node
""")
RECREATE_SYSTEM_USERS_ON_TARGET_NODE = single_line_message("""
	Recreate system users on target node
""")
CAUSED_BY_PREVIOUS_MOVING = single_line_message("""
	That might be a aftermath of moving one subscription several times. Content of target database will be migrated.
""")
REMOVE_SSL_CERTIFICATES_FROM_SOURCE_NODE = single_line_message("""
	Remove SSL certificates from source node
""")
FREE_OLD_SUBSCRIPTION_WEB_IPS_LOG_DESCRIPTION = single_line_message("""
	free old subscription web IPs in PPA databases
""")
COPY_CONTENT_OF_SUBSCRIPTION = single_line_message("""
	Copy content of '%s' subscription
""")
SUBSCRIPTION_DOES_NOT_HAVE_ANY_IPV4 = single_line_message("""
	Subscription does not have any IPv4 resource
""")
DOMAIN_SHOULD_NOT_HAVE_CONTENT = single_line_message("""
	Domain '%s' should not have content because of hosting type
""")
COPY_DATABASES_FROM_SOURCE_TO_TARGET = single_line_message("""
	copy databases from source to target node
""")
RECREATE_PROTECTED_DIRECTORIES = single_line_message("""
	Recreate protected directories
""")
CHANGE_SUBSCRIPTIONS_MAIL_IP_ADDRESS_LOG_DESCRIPTION = single_line_message("""
	change subscription's mail IP address in PPA databases
""")
CHANGE_SUBSCRIPTION_IP_IN_PLESK_LOG_DESCRIPTION = single_line_message("""
	Change subscription IP in Plesk
""")
RECREATE_FTP_USERS_ON_TARGET_NODE_LOG_DESCRIPTION = single_line_message("""
	recreate ftp users on target node
""")
RECREATE_WEB_USERS_ON_TARGET_NODE_LOG_DESCRIPTION = single_line_message("""
	recreate web users on target node
""")
ALLOCATE_IP_ON_TARGET_DATABASE_SN = single_line_message("""
	Allocate IP on target database service node for subscription
""")
UNABLE_TO_FIND_TARGET_DATABASE_USER = single_line_message("""
	Unable to find target database user by login
""")
RECREATE_CRON_JOBS_ON_TARGET_NODE = single_line_message("""
	Recreate cron jobs on target node
""")
REMOVE_WEB_USERS_FROM_SOURCE_NODE_LOG_DESCRIPTION = single_line_message("""
	remove web users from source node
""")
CHANGE_SUBSCRIPTIONS_WEB_IP_ADDRESS = single_line_message("""
	Change subscription's web IP address in PPA databases
""")
INCREASE_IP_LIMITS_OF_SUBSCRIPTIONS_LOG_DESCRIPTION = single_line_message("""
	increase IP limits of subscriptions to allocate new dedicated IP addresses
""")
CHANGE_SUBSCRIPTIONS_MAIL_IP_ADDRESS = single_line_message("""
	Change subscription's mail IP address in PPA databases
""")
REPORT_WAS_SAVED_INTO_FILE = single_line_message("""
	The report was saved into the file '%s'
""")
RECONFIGURE_APS_APPLICATIONS_ON_TARGET = single_line_message("""
	reconfigure APS applications on target node
""")
RECREATE_WEB_USERS_ON_TARGET = single_line_message("""
	Recreate web users on target node
""")
COPY_CONTENT_OF_UNIX_SUBSCRIPTIONS = single_line_message("""
	Copy content of Unix subscriptions
""")
ALLOCATE_IP = single_line_message("""
	Allocate IP (either shared or dedicated) on target web service node for subscription
""")
COPY_DATABASES = single_line_message("""
	Copy databases of subscription to target node
""")
REASSIGN_APS_DATABASE_RESOURCES = single_line_message("""
	Reassign APS database resources
""")
REMOVE_DATABASES_FROM_SOURCE_NODE_LOG_DESCRIPTION = single_line_message("""
	remove databases from source node
""")
MOVE_LIST_FILE_DOES_NOT_EXISTS = single_line_message("""
	Move list file does not exists. Please put correct move list file to '%s', or specify correct path to move list file
	with --move-list-file command-line option and restart moving tools.
""")
ALLOCATE_IP_ON_TARGET_MAIL_SERVICE = single_line_message("""
	Allocate IP on target mail service node for subscription
""")
REMOVE_WEB_CONTENT = single_line_message("""
	Remove web content of subscription from source node
""")
COPY_MAIL_CONTENT = single_line_message("""
	copy mail content from source to target node
""")
CONFIGURE_APACHE_ON_TARGET = single_line_message("""
	configure Apache on target node
""")
UNABLE_TO_FIND_SOURCE_DB_ADMIN = single_line_message("""
	Unable to find source database administrator login by id
""")
OPERATION_FINISHED_SUCCESSFULLY_STATS = single_line_message("""
	Operation finished successfully for %s out of %s subscriptions
""")
ALL_SUBSCRIPTIONS_ARE_FAILED_TO_MIGRATE = single_line_message("""
	All subscriptions are failed to migrate, stopping.
""")
REMOVE_WEB_CONTENT_FROM_SOURCE_NODE = single_line_message("""
	remove web content from source node
""")
UNABLE_TO_CONTINUE_SUBSCRIPTION_MOVING = single_line_message("""
	Unable to continue subscription moving until there are no issues at 'error' level in pre-migration checks.
	Please review pre-migration tree above and fix the errors.
""")
COPY_WEB_CONTENT_OF_SUBSCRIPTION = single_line_message("""
	Copy web content of subscription to target node
""")
NOT_ALL_DATABASES_WERE_COPIED = single_line_message("""
	Not all databases were copied to the target node. No databases of the subscription will be remove from source
	servers. Here are absent database(s): %s
""")
REMOVE_SYSTEM_USERS_AND_CONTENT = single_line_message("""
	Remove system users and content from source node
""")
REMOVE_APACHE_VHOSTS_CONFIG_FROM_SOURCE_LOG_DESCRIPTION = single_line_message("""
	remove Apache vhosts configuration from source node
""")
RESTORE_OLD_IP_LIMITS_OF_SUBSCRIPTIONS_LOG_DESCRIPTION = single_line_message("""
	restore old IP limits of subscriptions
""")
REMOVE_LOGROTATION_CONFIG_FROM_SOURCE = single_line_message("""
	Remove logrotation configuration from source node
""")
RECREATE_LOGROTATION_CONFIG_ON_TARGET_NODE_LOG_DESCRIPTION = single_line_message("""
	recreate logrotation configuration on target node
""")
COPY_WEB_CONTENT = single_line_message("""
	copy web content from source to target node
""")
RECREATE_CRON_JOBS_ON_TARGET_NODE_LOG_DESCRIPTION = single_line_message("""
	recreate cron jobs on target node
""")
CHECK_FOR_MOVE_SUBSCRIPTION_ISSUES_LOG_DESCRIPTION = single_line_message("""
	check for potential move subscription issues
""")
ALLOCATE_IP_ON_TARGET_MAIL_SERVICE_LOG_DESCRIPTION = single_line_message("""
	allocate IP on target mail service node for subscription
""")
RECREATE_MAIL_OBJECTS_ON_TARGET_NODE_LOG_DESCRIPTION = single_line_message("""
	recreate mail objects on target node
""")
RECREATE_MAIL_OBJECTS_ON_TARGET_NODE = single_line_message("""
	Recreate mail objects on target node
""")
COPY_MAIL_AUTORESPONDER_ATTACHMENTS = single_line_message("""
	Copy mail autoresponder attachments of subscription to target node
""")
REMOVE_LOGROTATION_CONFIG_FROM_SOURCE_LOG_DESCRIPTION = single_line_message("""
	remove logrotation configuration from source node
""")
RESTORE_OLD_IP_LIMITS_OF_SUBSCRIPTIONS = single_line_message("""
	Restore old IP limits of subscriptions
""")
REMOVE_IIS_VIRTUAL_HOSTS_FROM_SOURCE = single_line_message("""
	Remove IIS virtual hosts from source node
""")
CONFIGURE_APACHE_ON_TARGET_NODE = single_line_message("""
	Configure Apache on target node for moved subscriptions
""")
COPY_MAIL_CONTENT_OF_SUBSCRIPTION_TO_TARGET = single_line_message("""
	Copy mail content of subscription to target node
""")
CHANGE_SUBSCRIPTIONS_DB_IP_ADDRESS_LOG_DESCRIPTION = single_line_message("""
	change subscription's databases IP address in PPA databases
""")
CAUSED_BY_PREVOUS_MOVE = single_line_message("""
	That might be a aftermath of moving one subscription several times. Creation of database users will be skipped.
""")
COPY_CONTENT_OF_DATABASE_TO_SERVER = single_line_message("""
	Copy content of database '%s' to server '%s'
""")
PG_DUMP_UTILITY_IS_NOT_INSTALLED = multi_line_message("""
	pg_dump utility is not installed on '%s' server. Please make sure that:
	1) All external PostgreSQL servers (other than Plesk servers) are specified in config.ini in 'external-postgresql-servers' option, and pg_dump utility is installed on them.
	OR
	2) pg_dump is installed on all Plesk servers that have domains with PostgreSQL databases.
	Once the problem is fixed, run 'copy-db-content' migration tool commandto copy only the databases
""")
ALLOCATE_IP_ON_TARGET_DATABASE_SN_LOG_DESCRIPTION = single_line_message("""
	allocate IP on target database service node for subscription
""")
REMOVE_FTP_USERS_FROM_SOURCE_NODE_LOG_DESCRIPTION = single_line_message("""
	remove ftp users from source node
""")
RECREATE_SSL_CERTIFICATES_ON_TARGET_NODE_LOG_DESCRIPTION = single_line_message("""
	recreate SSL certificates on target node
""")
RECREATE_SYSTEM_USERS_ON_TARGET_NODE_LOG_DESCRIPTION = single_line_message("""
	recreate system users on target node
""")
REMOVE_WEB_USERS_FROM_SOURCE_NODE = single_line_message("""
	Remove web users from source node
""")
RECREATE_PROTECTED_DIRECTORIES_LOG_DESCRIPTION = single_line_message("""
	recreate protected directories
""")
DATABASE_USER_FOR_DATABASE_ALREADY_EXISTS = single_line_message("""
	Database user '%s' for '%s' database already exists on host '%s', no need to create
""")
SUBSCRIPTION_HAS_NO_WEB_HOSTING = single_line_message("""
	Subscription has no web hosting. Web service of such subscriptions can not be moved.
""")
RECREATE_CHROOTED_SHELL_FOR_SYS_USERS = single_line_message("""
	Recreate chrooted shell for sys users if it was enabled
""")
REMOVE_IIS_VIRTUAL_HOSTS_FROM_SOURCE_LOG_DESCRIPTION = single_line_message("""
	remove IIS virtual hosts from source node
""")
CHANGE_SUBSCRIPTIONS_DATABASES_IP_ADDRESS = single_line_message("""
	Change subscription's databases IP address in PPA databases
""")
REMOVE_SSL_CERTIFICATES_FROM_SOURCE_LOG_DESCRIPTION = single_line_message("""
	remove SSL certificates from source node
""")
RECREATE_LOGROTATION_CONFIGURATION_ON_TARGET = single_line_message("""
	Recreate logrotation configuration on target node
""")
REMOVE_SYSTEM_USERS_AND_CONTENT_LOG_DESCRIPTION = single_line_message("""
	remove system users and content from source node
""")
RECONFIGURE_APS_APPLICATIONS_ON_TARGET_NODE = single_line_message("""
	Reconfigure APS applications on target node
""")
CONFIGURE_IIS_ON_TARGET_NODE = single_line_message("""
	Configure IIS on target node for moved subscriptions, create base file structure
""")
MOVE_ANONYMOUS_FTP_FROM_SOURCE_NODE = single_line_message("""
	Move anonymous FTP from source node to target node
""")
REASSIGN_APS_DATABASE_RESOURCES_LOG_DESCRIPTION = single_line_message("""
	reassign APS database resources
""")
SKIP_COPY_CONTENT_OF_DATABASE = single_line_message("""
	Skip copy content of database '%s' to server '%s': database does not exist on target server
""")
ALLOCATE_IP_ON_TARGET_WEB_SERVICE = single_line_message("""
	allocate IP on target web service node for subscription
""")
RECREATE_SSL_CERTIFICATES_ON_TARGET_NODE = single_line_message("""
	Recreate SSL certificates on target node
""")
REMOVE_HOSTING_DATA_FROM_SOURCE_NODE = single_line_message("""
	Remove hosting data from source node
""")
IP_ADDRESS_WAS_ALREADY_ALLOCATED = single_line_message("""
	IP address '%s' was already allocated for subscription '%s'
""")
DATABASE_OF_UNSUPPORTED_TYPE = single_line_message("""
	Database has unsupported type '%s' and hence will not be copied
""")
CHANGE_SUBSCRIPTIONS_IP_ADDRESSES = single_line_message("""
	Change subscription's IP addresses in PPA databases
""")
FREE_OLD_SUBSCRIPTION_MAIL_IPS = single_line_message("""
	Free old subscription mail IPs in PPA databases
""")
FIX_SUBDOMAIN_RECORD_IN_DNS_ZONE = single_line_message("""
	Fix subdomain '%s' record in DNS zone of domain alias '%s'
""")
SUMMARY = single_line_message("""
	******************** Summary ********************
""")
RECREATE_CHROOTED_SHELL_FOR_SYS_USERS_LOG_DESCRIPTION = single_line_message("""
	recreate chrooted shell for sys users
""")
DATABASES_WITH_SAME_NAME = single_line_message("""
	There are some databases with the same name that exist on different hosts: %s. Please rename so there are no such
	databases and run command for the subscription again.
""")
FREE_OLD_SUBSCRIPTION_MAIL_IPS_LOG_DESCRIPTION = single_line_message("""
	free old subscription mail IPs in PPA databases
""")
FAILED_TO_REMOVE_FIREWALL_RULE_ON_SOURCE = single_line_message("""
	Failed to remove firewall rule on the source IIS node %s: %s
""")
FAILED_TO_REMOVE_FIREWALL_RULE_TARGET = single_line_message("""
	Failed to remove firewall rule on the target IIS node %s: %s
""")
SET_UP_FIREWALL_ON_TARGET_IIS = single_line_message("""
	Set up firewall on target IIS node %s
""")
FAILED_TO_SET_UP_FIREWALL_ON_SOURCE = single_line_message("""
	Failed to set up firewall on the source IIS node %s: %s. This may cause copy content to fail.
""")
SET_UP_FIREWALL_ON_SOURCE_IIS = single_line_message("""
	Set up firewall on source IIS node %s
""")
COPY_WEB_CONTENT_OF_WINDOWS_SUBSCRIPTIONS = single_line_message("""
	Copy web content of Windows subscriptions
""")
REMOVE_FIREWALL_RULES_ON_SOURCE_IIS = single_line_message("""
	Remove firewall rules on source IIS node %s
""")
REMOVE_FIREWALL_RULES_ON_TARGET_IIS = single_line_message("""
	Remove firewall rules on target IIS node %s
""")
FAILED_TO_SET_UP_FIREWALL_ON_TARGET = single_line_message("""
	Failed to set up firewall on the target IIS node %s: %s. This may cause copy content to fail.
""")
APPLY_SECURITY_FILES = single_line_message("""
	Apply .Security files with HostingSecurity.exe utility
""")
COPY_WEB_CONTENT_FILE_PERMISSIONS = single_line_message("""
	Copy web content file permissions of Windows subscriptions
""")
APPLY_FILES_OWNERSHIP_TO_TARGET_NODE = single_line_message("""
	Apply files ownership to target node
""")
GET_FILES_OWNERSHIP_FROM_SOURCE_NODE = single_line_message("""
	Get files ownership from source node
""")
FAILED_TO_GET_FILE_OWNERS_STDERR = single_line_message("""
	Failed to get file owners for subscription '%s' on the source server: get file owners script printed something to
	stderr. File ownership won't be copied. This could cause IIS log files not to be updated. Some other consequences
	are possible. Still sometimes this error could be ignored. See debug.log for more details.
""")
FAILED_TO_SET_FILE_OWNERS_STDERR = single_line_message("""
	Failed to set file owners for subscription '%s' on the target server: set file owners script printed something to
	stderr. Possibly file ownership was not copied. This could cause IIS log files not to be updated. Some other
	consequences are possible. Still sometimes this error could be ignored. See debug.log for more details.
""")
FAILED_TO_SET_FILE_OWNERS_NON_ZERO_EXIT_CODE = single_line_message("""
	Failed to set file owners for subscription '%s' on the target server: set file owners script finished with non-zero
	exit code. Possibly file ownership was not copied. This could cause IIS log files not to be updated. Some other
	consequences are possible. Still sometimes this error could be ignored. See debug.log for more details.
""")
FAILED_TO_GET_FILE_OWNERS_NON_ZERO_EXIT_CODE = single_line_message("""
	Failed to get file owners for subscription '%s' on the source server: get file owners script finished with non-zero
	exit code.File ownership won't be copied. This could cause IIS log files not to be updated. Some other consequences
	are possible. Still sometimes this error could be ignored. See debug.log for more details.
""")
